GuiCommand: Name: TechDraw HorizontalExtentDimension MenuLocation: TechDraw , Dimensions , Insert Horizontal Extent Dimension Workbenches: TechDraw_Workbench Version: 0.19 SeeAlso: TechDraw_LengthDimension, TechDraw_VerticalExtentDimension
TechDraw HorizontalExtentDimension
Description
The TechDraw HorizontalExtentDimension tool adds a linear dimension to a View. The dimension extends from the left most point on the selected objects to the right most point.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_Dimension_Horizontal_Extent_example.png)
Usage
-
Select a View or a collection of Edges in a View.
-
There are several ways to invoke the tool:
<small>(v1.0)</small> : If the **Dimensioning tools** [preference](wiki-test2.php?gitpage=TechDraw_Preferences#Dimensions) is set to {{Value|Single tool}} (default): press the down arrow to the right of the **<img src="https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_Dimension.svg" width=|x16px><img src="https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/Toolbar_flyout_arrow.svg" width=x16px>** button and select the **<img src="https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_HorizontalExtentDimension.svg" width=16px> Insert Horizontal Extent Dimension** option from the dropdown.
-
If this preference has a different value (and in {{VersionMinus|0.21}}): press the
Insert Horizontal Extent Dimension button.
-
Select the TechDraw → Dimensions →
Insert Horizontal Extent Dimension option from the menu.
-
-
A dimension is added to the View.
-
The dimension may be dragged to the desired position.
-
If needed, add tolerances as described on this page.
Change properties
To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the Dimension dialog.
Limitations
Dimension objects are vulnerable to the \"topological naming problem\". See TechDraw LengthDimension.
Notes
Properties
See TechDraw LengthDimension. Exceptions noted below.
Data
{{Properties_Title|Base}}
- Measure Type|Enumeration: Not yet implemented for extent dimensions.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
The Horizontal Extent Dimension tool can be used in macros and from the Python console by using the following functions:
selection = ['Edge1', 'Edge2'] # or [] for all
TechDraw.makeExtentDim(view1, selection, 0) # view1 is a DrawViewPart; 0 for horizontal
App.ActiveDocument.DimExtent.Y = -60 # offset dimension line from dimensioned edges in Y direction
App.ActiveDocument.DimExtent.X = 10 # offset dimension text along dimension line in X direction
App.ActiveDocument.DimExtent.FormatSpec = '%.0f' # Dimension format
TechDraw.makeExtentDim(view1, selection, 1) # view1 is a DrawViewPart; 1 for vertical
App.ActiveDocument.DimExtent001.X = -130 # offset dimension line from dimensioned edges in X direction
App.ActiveDocument.DimExtent001.Y = 10 # offset dimension text along dimension line in Y direction
App.ActiveDocument.DimExtent001.FormatSpec = '%.0f'
# Note the dimension names are 'DimExtent', 'DimExtent001' etc in the order created.
{{TechDraw Tools navi}}
⏵ documentation index > TechDraw > TechDraw HorizontalExtentDimension
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/TechDraw_HorizontalExtentDimension.md